org.apache.ignite.internal.processors.tracing.messages

## Interface SpanTransport

All Known Implementing Classes:
  GridIoMessage, GridIoSecurityAwareMessage

    public interface SpanTransport

This interface indicates class which able to transfer span.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `span()`
`void` `span(byte[] span)` Stored span for transferring.

### Method Detail

#### span

    void span(byte[] span)

Stored span for transferring.

Parameters:
  `span` - Binary view of span.

#### span

    byte[] span()

Returns:
  Binary view of span.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020